subroutine gen_M()
use work
! Genereaza matricea de masa M(ngl, ngl)
implicit real(8) (a-h, o-z)

! ngl =5
n0 =6

M =0.

m0 =400	! kN*s2/m

do igl =1, ngl

m(igl, igl) =m0 +(8D0 -igl)*n0
enddo

!M =M*1D3	! kg

END subroutine gen_M
